VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | Public Attributes | List of all members
CResourceDescription Class Reference

Describes a resource by name or by ID. More...

## Public Types
enum | { kIntegerType, kStringType, kUnknownType }

## Public Member Functions
| CResourceDescription ()=default
| CResourceDescription (UTF8StringPtr name)
| CResourceDescription (int32_t id)
| CResourceDescription (const CResourceDescription &)=default
CResourceDescription & | operator= (int32_t id)
CResourceDescription & | operator= (const CResourceDescription &desc)=default

## Public Attributes
int32_t | type {kUnknownType}
union {
int32_t id
UTF8StringPtr name {nullptr}
} | u

## Detailed Description

Describes a resource by name or by ID.

## Member Enumeration Documentation

anonymous enum

Enumerator
kIntegerType |
kStringType |
kUnknownType |

## Constructor & Destructor Documentation

CResourceDescription | ( |  | ) |
| default

CResourceDescription | ( | UTF8StringPtr | name | ) |
| inline

CResourceDescription | ( | int32_t | id | ) |
| inline explicit

CResourceDescription | ( | const CResourceDescription & |  | ) |
| default

## Member Function Documentation

CResourceDescription& operator= | ( | int32_t | id | ) |
| inline

CResourceDescription& operator= | ( | const CResourceDescription & | desc | ) |
| default

## Member Data Documentation

int32_t id

UTF8StringPtr name {nullptr}

int32_t type {kUnknownType}

union { ... } u

The documentation for this class was generated from the following file:

- cresourcedescription.h